function f=testsvm_good(X,Y,Xt,Yt,c,b,thrs)

param=sprintf('-c %f -B %f -q',c,b);%svm params

%learning
[model,firstClass]=svmlearn(Xt,Yt,param);

%solve
[~,weights]=solvesvm(X,Y,model);
weights=bsxfun(@times,weights,firstClass);

label=weights>thrs;

%zeros (max weight)
label=weighted_zeros(X,label,weights);
%label=knn_zeros(Xt,Yt,X,label,40,5);

label=label';

%scoring
f=fscore(label,Y);

fprintf('F1-macro: %.3f\n',f);
